import { Context, Expression, FunctionsTable, ValidationContext } from '../types';
export declare class ExpressionHandler<C extends Context, F extends FunctionsTable<C, CustomEvaluatorFuncRunOptions>, Ignore = never, CustomEvaluatorFuncRunOptions = undefined> {
    private readonly expression;
    private readonly functionsTable;
    constructor(expression: Expression<C, F, Ignore, CustomEvaluatorFuncRunOptions>, functionsTable: F);
    evaluate(context: C, runOptions: CustomEvaluatorFuncRunOptions): Promise<boolean>;
    validate(validationContext: ValidationContext<C, Ignore>, runOptions: CustomEvaluatorFuncRunOptions): Promise<void>;
}
