export declare const getFromPath: <O extends object>(obj: O, path: string) => {
    value: any;
    exists: boolean;
};
export declare const objectKeys: <T>(o: T) => Extract<keyof T, string>[];
export declare const assertUnreachable: <T = never>(x: never, message: string) => T;
export declare function contextNumberAssertion(key: string, value: any): asserts value is number;
export declare function contextStringAssertion(key: string, value: any): asserts value is string;
export declare function expressionNumberAssertion(key: string, value: any): asserts value is number;
export declare function expressionStringAssertion(key: string, value: any): asserts value is string;
